Update a project budget other item
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-budget-other-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-budget-other-items/{id}"
payload = {
"fee": 123,
"description": "<string>",
"invoiceItemId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fee: 123, description: '<string>', invoiceItemId: '<string>'})
};
fetch('https://www.ruddr.io/api/workspace/project-budget-other-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "26dac052-43ec-4625-a1fa-5c490e2204cf",
"fee": 75000,
"description": "Cloud services and support",
"createdAt": "2025-05-16T18:20:21.353Z",
"project": {
"id": "9c2adca5-73a7-4c9d-aa3e-14f52cd64275",
"name": "Sample T&M Project",
"client": {
"id": "976ed002-ecc4-49a5-9cee-2c52341b2b2a",
"name": "Big Box Retailer"
}
},
"invoiceItem": {
"id": "3c5ad57a-1d92-484c-a53e-d086b9569243",
"name": "Hosting"
}
}Project Budget Other Items
Update a project budget other item
PATCH
/
project-budget-other-items
/
{id}
Update a project budget other item
The budget for a miscellaneous invoice item on a project. Only available for billable projects using a budget and the budget mode is either “detailed” or “aggregated”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project budget other item uuid.
Body
application/json
Response
200
The unique identifier for the object.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this budget item.
Show child attributes
Show child attributes
⌘I